---
title: Get
url: https://www.tines.com/docs/api/cases/case_inputs/get/
updated: 2026-04-27T18:36:47+00:00
description: Returns a case input.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Case inputs](https://www.tines.com/llm/docs/api/cases/case_inputs.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/case_inputs/get/)*

## Description

Returns a case input.

## Request

HTTP Method: **GET**

| Query Parameter | Description                           |
| --------------- | ------------------------------------- |
| case_input_id   | The ID of the case input to retrieve. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/case_inputs/<<case_input_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful response will return a JSON object representing the specified case input.

### Field description

| Parameter             | Description                                                                                                               |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| id                    | The case input ID.                                                                                                        |
| name                  | The name of the case input.                                                                                               |
| key                   | The lookup key of the case input.                                                                                         |
| input_type            | The type of the case input.                                                                                               |
| sensitive             | A boolean (`true` or `false`) indicating whether the sensitive field permission is required to read or write this field.  |
| validation_type       | The validation type of the case input. One of `none`, `options`, or `regex`.                                              |
| validation_options    | An object containing validation configuration. For `options` type, contains an `options` array of accepted string values. |
| team                  | An object containing the ID and name of the team the case input belongs to.                                               |
| team_case_input_group | An object containing the name of the group the case input belongs to, if any.                                             |
| created_at            | An ISO 8601 timestamp representing when the case input was created.                                                       |
| updated_at            | An ISO 8601 timestamp representing when the case input was last updated.                                                  |

### Sample response

```json
{
  "case_input": {
    "id": 19990840,
    "name": "Priority",
    "key": "priority",
    "input_type": "string",
    "sensitive": false,
    "validation_type": "options",
    "validation_options": {
      "options": ["low", "medium", "high", "critical"]
    },
    "team": {
      "id": 1,
      "name": "Engineering Team"
    },
    "created_at": "2022-06-24T08:35:21Z",
    "updated_at": "2022-06-24T08:35:21Z"
  }
}
```
